Ruby lebegőpontos feldolgozás puffer túlcsordulásos sérülékenység

CH azonosító

CH-10036

Angol cím

Ruby Floating Point Parsing Buffer Overflow Vulnerability

Felfedezés dátuma

2013.11.24.

Súlyosság

Magas

Érintett rendszerek

Ruby

Érintett verziók

Ruby 1.9.x
Ruby 2.0.x

Összefoglaló

A Ruby Sérülékenységet jelentették, amit kihasználva a támadók feltörhetik a sérülékeny rendszert.

Leírás

A sérülékenységet egy, a karakterláncok lebegőpontos számmá történő konvertálásakor jelentkező hiba okozza. Ez kihasználható halom alapú puffer túlcsordulás előidézésére egy speciálisan formázott sztring segítségével.

A sérülékenység sikeres kihasználása tetszőleges kód futtatását teszi lehetővé.
A sérülékenység a Ruby 1.9.3 patchlevel 484 előtti 19.x és a 2.0.0 patchlevel 353 előtti 2.0.x verziókat érinti.

Megoldás

Frissítsen a legújabb verzióra